io.vertx.ext.web.templ.pebble

## Interface PebbleTemplateEngine

- All Superinterfaces:
    TemplateEngine
  All Known Subinterfaces:
    PebbleTemplateEngine

      public interface PebbleTemplateEngine
      extends TemplateEngine

  A template engine that uses the Pebble library.
  Author:
    Dan Kristensen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_CACHE_SIZE` Default max number of templates to cache
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PebbleTemplateEngine` | `create(com.mitchellbosecke.pebble.PebbleEngine engine)` Create a template engine using a custom Builder, e.g.
    `static PebbleTemplateEngine` | `create(Vertx vertx)` Create a template engine using defaults
    `PebbleTemplateEngine` | `setExtension(String extension)` Deprecated. as a user you should use filename with extensions on the render method instead of relying on this method to suffix your filenames. Using this method is quite an opinionated API and has the side effect that you cannot use files without extensions as templates. Set the extension for the engine
    `PebbleTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `isCachingEnabled, render, render`

- - ### Field Detail

    - #### DEFAULT_MAX_CACHE_SIZE

          static final int DEFAULT_MAX_CACHE_SIZE

      Default max number of templates to cache
      See Also:
        Constant Field Values

    - #### DEFAULT_TEMPLATE_EXTENSION

          @Deprecated
          static final String DEFAULT_TEMPLATE_EXTENSION

      Deprecated.
      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static PebbleTemplateEngine create(Vertx vertx)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static PebbleTemplateEngine create(com.mitchellbosecke.pebble.PebbleEngine engine)

      Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
      Returns:
        the engine

    - #### setExtension

          @Deprecated
          PebbleTemplateEngine setExtension(String extension)

      Deprecated. as a user you should use filename with extensions on the render method instead of relying on this method to suffix your filenames. Using this method is quite an opinionated API and has the side effect that you cannot use files without extensions as templates. Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          PebbleTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

Copyright © 2020 Eclipse. All rights reserved.